Bug 10104 - add nemerle syntax to mcedit
: add nemerle syntax to mcedit
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-10 09:26 by
Modified: 2006-11-08 11:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-10 09:26:00
http://nemerle.org/Editors
Только в файл Syntax надо добавить ДО man-страниц (т.к. regexp перекрывает):

--- Syntax.ORIG 2005-09-15 19:55:39 +0600
+++ Syntax      2006-10-10 11:18:15 +0600
@@ -45,6 +45,9 @@
 file ..\*\\.(rb|RB)$ Ruby\sProgram ^#!.\*([\s/]ruby|@RUBY@)
 include ruby.syntax

+file ..\*\\.n$ Nemerle\sProgram
+include nemerle.syntax
+
 file ..\*\\.(man|[0-9n]|[0-9]x)$ NROFF\sSource
 include nroff.syntax
------- Comment #1 From 2006-10-14 00:49:14 -------
Ильдар, а не хотите взять mc?  На нём порядком готовых патчей висит...
(по этому конкретному могу рекомендовать vimtutor; vim :-)
------- Comment #2 From 2006-10-14 09:03:05 -------
Не-а! Не хочу.

Я так понимаю, многие им пользуются, но как-будто он никому не нужен. Я знаю,
почему. Потому что нет того, кто его по-настоящему любит. :(

Есть предложение: когда он будет в git (уже?), можно кинуть клич для
студентов-добровольцев, чтобы приложили патчи и залили в Сизиф. Будет сыном
полка :) 

ЗЫ. Только надо, чтобы кто-нибудь проводил аудит, ато это компонент для многих
на уровне basesystem
------- Comment #3 From 2006-10-16 16:39:39 -------
(In reply to comment #1)
> Ильдар, а не хотите взять mc?  На нём порядком готовых патчей висит...
> (по этому конкретному могу рекомендовать vimtutor; vim :-)

Могу немного приложиться напильником к mc. Есть возражения?

Пока писал пост:
[icesik@iceberg SPECS]$ rpm -q --lastchange mc
* Пнд Окт 16 2006 Igor Zubkov <icesik@altlinux.ru> 4.6.1r-alt4

- add nemerle syntax (#10104)
[icesik@iceberg SPECS]$ 

Вливать?
------- Comment #4 From 2006-10-18 16:32:11 -------
Легло на сборку в /i/S/
------- Comment #5 From 2006-10-19 15:14:03 -------
новый маинтейнер
------- Comment #6 From 2006-10-19 15:16:43 -------
fixed
------- Comment #7 From 2006-11-07 18:59:54 -------
закройте...
------- Comment #8 From 2006-11-08 11:52:13 -------
спасибо